Legacy API Notice: This documentation covers the Legacy Sent API (v2). While this API remains fully supported, we recommend new integrations use the latest Sent API v3 for enhanced features, improved performance, and long-term support.

Get contact by phone number for authenticated customer

Retrieves a contact by their phone number for the authenticated customer. Phone number should be in international format (e.g., +1234567890). The customer ID is extracted from the authentication token.

GET
/v2/contacts/phone

Query Parameters

phoneNumber*string

The phone number in international format (e.g., +1234567890)

Response Body

application/json

curl -X GET "https://api.sent.dm/v2/contacts/phone?phoneNumber=%2B1234567890"
{
  "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
  "phoneNumber": "+1234567890",
  "formatE164": "+1234567890",
  "formatInternational": "+1 234-567-890",
  "formatNational": "(234) 567-890",
  "formatRfc": "tel:+1-234-567-890",
  "countryCode": "1",
  "regionCode": "US",
  "availableChannels": "sms,whatsapp",
  "defaultChannel": "sms"
}
Empty
Empty